package CHAPTER05.another; // another 패키지 선언

import CHAPTER05.example.ProtectedExample;

// 다른 패키지에서 ProtectedExample 클래스를 상속받아 protected 멤버 접근 테스트
public class DifferentPackage2 extends ProtectedExample {
    
    // 부모 클래스의 protected 멤버 접근 테스트
    public void accessParent() {
        System.out.println(value); // 상속을 통해 접근 가능
        show();     // 상속을 통해 접근 가능
    }

    public static void main(String[] args) {
        DifferentPackage2 obj = new DifferentPackage2();
        obj.accessParent(); // 부모 클래스의 protected 멤버 접근 가능
    }
}
